package de.beyondsoft.ownchat.page.login;

import de.beyondsoft.ownchat.data.api.services.LoginService;
import de.beyondsoft.ownchat.data.api.services.RegisterService;
import de.beyondsoft.ownchat.di.P3DSEndpoint;
import de.beyondsoft.ownchat.di.scopes.ActivityScope;

import dagger.Module;
import dagger.Provides;
import retrofit2.Retrofit;

/**
 * Created by laszloffiferenc on 2/21/17.
 */
@Module
public class LoginModule {

    @Provides
    @ActivityScope
    LoginService provideLoginService(@P3DSEndpoint Retrofit retrofit) {
        return retrofit.create(LoginService.class);
    }

    @Provides
    @ActivityScope
    RegisterService provideRegisterService(@P3DSEndpoint Retrofit retrofit) {
        return retrofit.create(RegisterService.class);
    }
}
